## psphere 0.5.1

=== debian/changelog ===
psphere (0.5.1-2) unstable; urgency=low

  * debian/copyright
    - just point to /usr/share/common-licenses/Apache-2.0 instead put full
      text for Apache2.0 license regarding to ftpmasters' suggestion

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Dec 2012 11:34:53 +0900

psphere (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #694026)

 -- Hideki Yamane <henrich@debian.org>  Tue, 13 Nov 2012 20:33:01 +0900

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/jkinred/psphere/tags \
 /jkinred/psphere/archive/v(.*).tar.gz

## psphere 0.5.2

=== Makefile ===
version:
	git describe --tags > version.txt
	perl -p -i -e 's/-/_/g' version.txt

sdist:
	python setup.py sdist

signed-rpm: sdist version
	rpmbuild -ba python-psphere.spec --sign --define "_sourcedir `pwd`/dist"

rpm: sdist version
	rpmbuild -ba python-psphere.spec --define "_sourcedir `pwd`/dist"

srpm: sdist version
	rpmbuild -bs python-psphere.spec --define "_sourcedir `pwd`/dist"

pylint:
	pylint --rcfile=pylint.conf imagefactory imgfac

unittests:
	python -m unittest discover -v

clean:
	rm -rf MANIFEST build dist python-psphere.spec version.txt

=== requirements.txt ===
suds
PyYAML

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psphere.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psphere.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
psphere (0.5.2-5) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.1.1
    - set Priority: optional

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Oct 2017 21:24:33 +0900

psphere (0.5.2-4) unstable; urgency=medium

  * debian/control
    - set Build-Depends: debhelper (>= 10)
    - set Standards-Version: 4.0.0
  * debian/compat
    - set 10 
  * debian/watch
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 Jul 2017 13:15:39 +0900

psphere (0.5.2-3) unstable; urgency=medium

  * debian/control
    - fix Vcs-Git 
    - set Standards-Version 3.9.8

 -- Hideki Yamane <henrich@debian.org>  Sun, 05 Jun 2016 11:10:41 +0900

psphere (0.5.2-2) unstable; urgency=medium

  * debian/control
    - set Standards-Version 3.9.6 
    - add Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Tue, 15 Dec 2015 06:45:40 +0900

psphere (0.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - adjust to deal with upstream's change
  * debian/patches
    - add remove_version_by_git to avoid build failure

 -- Hideki Yamane <henrich@debian.org>  Tue, 07 May 2013 21:40:57 +0900

=== debian/control ===
Source: psphere
Section: python
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3), python-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/jkinred/psphere
Vcs-Git: https://anonscm.debian.org/git/collab-maint/psphere.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/psphere.git
X-Python-Version: >= 2.6

Package: python-psphere
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-suds
Description: Python bindings for the vSphere Web Services SDK
 pSphere provides native Python bindings for the vSphere Web Services SDK
 (formerly known as VMware Infrastructure SDK). The project is in its early
 phases but can already perform most query operations and virtual machine
 creation.
 .
 pSphere is in no way affiliated with VMware Inc.

=== debian/watch ===
version=4

https://github.com/jkinred/@PACKAGE@/tags/ \
 /jkinred/@PACKAGE@/archive/@ANY_VERSION@@ARCHIVE_EXT@
